Skip to main content
This action creates a cancellation request for the specified service through the API.

Method / Endpoint

POST {{API_URL}}/order/cancel
For Hostrox, the full URL is:
POST https://client.hostrox.net/api/reseller/order/cancel

Request parameters

NameRequiredDescription
keyYesAPI Key
idYesOrder ID number
reasonOptionalReason for cancellation
urgencyYesCancellation priority. Possible values: period-ending (cancelled at the end of the current period), now (cancelled immediately upon approval)

Example cURL request

curl --location 'https://client.hostrox.net/api/reseller/order/cancel' \
  --header 'Content-Type: application/json' \
  --data '{
    "key": "UzZBSlBWeWk0UEcrVWxlU0RjS1B1dz09",
    "id": 1,
    "reason": "Testing",
    "urgency": "now"
  }'

Example JSON response

{
  "status": "successful"
}